// Filename: app.js
define([
	"jquery"
	, "underscore"
	, "backbone"
	, "models/client"
],
function( $, _, Backbone, ClientModel ) {

	var init = function(){

		console.log( "app.js > init()" );

		var client = new ClientModel({
			hostname:	"daap.localhost"
			, protocol:	"http"
			, port:		80
			, password:	"lawl"
		});
		console.log(client.attributes);
		
		client.on("unauthorized", function __client_unauthorized() {
			console.log(arguments);
		});

		client.on("inited", function () {
			console.log(client.url(), arguments);
		});
		
		console.log(client);

		client.init();
	}

	return { init: init };
});
